# userhash

Generate pseudonyms for user profiles based on hashing of user data.
Any text file (CSV, JSONL, TXT) with user data is read line by line.
Every line hashed using the scrypt algorithm.
A salt of at least 16 bytes must be used.

## Requirements

Tested to work with Python 3.6

Either Python 3.6 with OpenSSL 1.1+ or py-scrypt is required.

```bash
  pip install scrypt
```

## Usage/Examples

See help for more information:
```sh
python3 userhash.py -h
```
  
## Authors

- [Anton Kasimov](https://gitea.radium.group/toxa)
  
## Refferences

 - [The scrypt Password-Based Key Derivation Function](https://datatracker.ietf.org/doc/rfc7914/) (RFC 7914)
 - [Stronger key derivation via sequentialmemory-hard functions](http://www.tarsnap.com/scrypt/scrypt.pdf) by [Colin Percival](https://en.wikipedia.org/wiki/Colin_Percival)
